%define with_python_version 2.5
Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	widgets for accessing data
Name:      	libgnomedb
Version:   	3.1.2
Release:   	1
License: 	GNU/GPL
URL:		http://www.gnome-db.org/
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
#BuildRequires: 	glibc-devel
#BuildRequires:	ORBit2-devel
#BuildRequires:  avahi-devel
#BuildRequires:  openssl-devel
#BuildRequires:  db-devel
#BuildRequires:  dbus-devel
#BuildRequires:  gamin-devel
#BuildRequires:  ncurses-devel
#BuildRequires:  glib-devel
#BuildRequires:  readline-devel
#BuildRequires:  libxml2-devel
#BuildRequires:  libxslt-devel
#BuildRequires:  zlib-devel
#BuildRequires:  libgpg-error-devel

%description
Libgnomedb gives you a set of powerful widgets to show and edit data directly in the database, you can also create new Data Sources and conect to your preconfigured database server

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure --disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# stripping package #
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_sysconfdir
%_bindir
%_datadir/applications
%_datadir/gtk-doc
%_datadir/glade3
%_datadir/pixmaps
%_datadir/locale
%_datadir/omf
%_datadir/gnome-db-3.0/*.xml
%_datadir/gnome-db-3.0/*.glade
%_libdir/*.so.*
%_libdir/libglade/2.0/*.so
%_libdir/glade3/modules
%_libdir/gnome-db-3.0/plugins


%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/libglade/2.0/*.la
%_libdir/libglade/2.0/*.a
%_datadir/gnome-db-3.0/demo
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.1.2-1
- Initial Release
